/* General */
body {
    font-family: 'Montserrat', sans-serif;
    position: relative;
    width: 100%;
    height: 100vh;
}

input[type="submit"].disabled,
button.disabled {
    cursor: not-allowed !important;
    opacity: 0.2;
}

input[type="submit"].disabled:hover {
    background: #2F6F45 !important;
}
button.submit-batch.disabled:hover {
    background: #F5A540 !important;
}

.font-bold {
    font-weight: bold;
}

/* Header */
.site-logo {
	width: 200px;
}

.site-title {
	margin-top: 0;
	margin-bottom: 0;
}

/* Login Form */
.login {
    width: 400px;
    margin: 16px auto;
    font-size: 16px;
}
  
/* Reset top and bottom margins from certain elements */
.login-header,
.login p {
    margin-top: 0;
    margin-bottom: 0;
}
  
/* The triangle form is achieved by a CSS hack */
.login-triangle {
    width: 0;
    margin-right: auto;
    margin-left: auto;
    border: 12px solid transparent;
    border-bottom-color: #2F6F45;
}

.login-header {
    background: #2F6F45;
    padding: 20px;
    font-size: 1.4em;
    font-weight: normal;
    text-align: center;
    text-transform: uppercase;
    color: #fff;
}

.login-container {
    background: #ebebeb;
    padding: 12px;
}

.login-container .radio-input-container {
    margin-right: 20px;    
}

.login-container .radio-input-container:last {
    margin-right: 0px;
}

.login-container input[type=radio] {
    display: inline-block;
    width: auto;
}

.login-container .radio-label {
    display: inline-block;
    position: relative;
    top: 4px;
    left: 2px;
    font-size: 18px;
}

/* Every row inside .login-container is defined with p tags */
.site-logo-container {
    text-align: center !important;
}

.login p {
    padding: 12px;
}

.login input,
.login select {
    box-sizing: border-box;
    display: block;
    width: 100%;
    border-width: 1px;
    border-style: solid;
    padding: 16px;
    outline: 0;
    font-family: inherit;
    font-size: 0.95em;
}

.login select {
    margin-bottom: 0;
}

.login input[type="text"] {
    background: #fff;
    border-color: #bbb;
    color: #555;
}

/* Text fields' focus effect */
.login input[type="text"]:focus {
    border-color: #888;
}

input[type="submit"],
button {
    background: #2F6F45;
    border-color: transparent;
    color: #fff;
    cursor: pointer;
}

input[type="submit"]:hover {
    background: #399b5a;
}

input[type="submit"]:focus {
    border-color: #399b5a;
    outline: none;
}
.submit-batch:hover {
    background: #ffbd6d;
    outline: none;
}
.fail-batch:hover {
    opacity: 0.8;
}


.form-error {
    text-align: center;
    font-weight: bold;
}

/* Working Page - left column */
.transcribed-text {
    padding: 20px;
    background-color: #ebebeb;
    height: 100vh;
    overflow-y: auto;
}

.transcribed-text .site-logo-container {
    margin-bottom: 32px;
}

.transcribed-text h3 {
    border-top: 1px solid #ddd;
    padding-top: 20px;
    margin-top: 0;
    text-align: center;
}

.transcribed-text p {
    text-align: justify;
    white-space: pre-wrap;
}

/* Working Page - right column */

/* Audio Details */
.audio-details {
    text-align: center;
    padding-top: 12px;
    padding-bottom: 12px;
    background-color: #2F6F45;
    color: #fff;
}

.audio-details h5 {
    color: #2f6f45;
    font-weight: bolder;
}

.audio-details p,
.qc-details p {
    display: inline-block;
    margin-right: 50px;
}

.audio-details p:last-child,
.qc-details p:last-child {
    margin-right: 0;
}

/* QC Details */
.qc-details {
    background-color: #45d876;
    padding: 10px;
    text-align: center;
}

.qc-details > p {
    margin-bottom: 0;
    display: inline-block;
}



/* Input Manager */
.input-manager {
    margin: 25px 0;
}

.content-value-input,
.label-value-input {
    width: 100%;
}

.content-value-input {
    resize: none;
}

.transcriber {
    border: 1px solid #ddd;
    overflow-x: scroll;
    margin-bottom: 15px;

    position: relative;
    flex-direction: row;
    width: 100%;
}

.wave-form {
    border-bottom: 1px solid #000; 
}

.wave-form > * {
    overflow: visible !important;
}

.segment-list {
    position: relative;
    height: 120px;
    background-color: yellow;
    border-bottom: 1px solid #000;
}

.not-tested {
    background-color: #ccc !important;
}

.actual-list {
    height: 100%;
}

.cursor {
    z-index: 2;
    height: 100%;
    position: absolute;
    width: 5px;
    background-color: #ddd;
}

.cursor .drop-cursor {
    border: 1px solid #000;
    width: 15px;
    height: 15px;
    border-radius: 100%;
    cursor: pointer;
    margin-left: -5px;
}

.cursor .drop-cursor:hover {
    background-color: #ddd;
}

.total-duration p,
.time-list .time {
    text-align: center;
    margin: 0;
    padding: 5px 0;
    cursor: pointer;
}

.time-list .time {
    display: inline-block;
    border-right: 1px solid #000;
    border-bottom: 1px solid #000;
    overflow: hidden;
}

.time-list .time:last-child {
    border-right: none;
}

.total-duration p:hover,
.time-list .time:hover {
    background-color: #efefef;
}

.inputs {
    width: 50%;
}


/* Controls */
.controls i {
    cursor: pointer;
    font-size: 25px;
    margin-left: 5px;
}

.controls td {
    padding-top: 10px;
}

.controls .left-value {
    padding-right: 20px;
}

.speed,
.save-status {
    font-style: italic;
    margin-left: 10px;
}

.segment {
    display: flex;
    flex-flow: column;
    position: relative;
    white-space: nowrap;
}

.segment.error {
    border: 2px solid red;
}

.segment .values {
    height: 100%;
    overflow: hidden;
    text-align: center;
}

.segment .time {
    flex: 0 0 10px;
    padding: 5px 0;
    text-align: center;
    border-top: 1px solid #000;
    background-color: #fff;
    cursor: pointer;
}

.segment, .handle {
    float: left;
    height: 100%;
    vertical-align: top;
}

.segment input,
.segment select {
    width: 100%;
    height: 50%;
    text-align: center;
    margin: 0;
    padding: 0;
    font-size: 25px;
    max-width: 250px;
    margin: auto;
    display: block;
    border-radius: 0;
    background: yellow;
}

.content-value {
    margin-bottom: 0;
    margin-top: 20px;
}

.label-value {
    margin: 5px;
    font-size: 24px;
    display: inline-block;
    font-weight: bold;
    color: red;
}

.handle {
    width: 6px;
    height: 100%;
    cursor: col-resize;
    background: #36383F;
    position: absolute;
    right: -3px;
    z-index: 3;
}

.overlay-handle {
    width: 6px;
    height: 129px;
    background: black;
    position: absolute;
    top: -132px;
}

.overlay-handle.hidden {
    display: none;
}

.segment:last-child .handle {
    width: 0;
}

.play-pause,
.submit-batch,
.fail-batch {
    display: block;
    margin: 0 auto;
    padding: 8px 30px;
    font-size: 16px;
    margin-top: 10px;
    width: 140px;
}

.submit-batch {
    background: #F5A540;
}

.fail-batch {
    background: red;
}

/* Preloader */
.preloader {
    width: 100%;
    height: 100vh;
}

.wrap {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.text {
    color: #2F6F45;
    display: inline-block;
    margin-left: 5px;
    letter-spacing: 0.8px;
    font-size: 18px;
}

.bounceball {
    position: relative;
    display: inline-block;
    height: 37px;
    width: 15px;
}
.bounceball:before {
    position: absolute;
    content: '';
    display: block;
    top: 0;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: #2F6F45;
    -webkit-transform-origin: 50%;
            transform-origin: 50%;
    -webkit-animation: bounce 500ms alternate infinite ease;
            animation: bounce 500ms alternate infinite ease;
}

.text-segment {
    background: #ddd;
    padding: 10px 15px;
    margin-bottom: 10px;
    cursor: pointer;
}

.text-segment.active {
    border: 1px solid #000;
}

.text-segment p {
    margin-bottom: 0;
}

@-webkit-keyframes bounce {
    0% {
        top: 30px;
        height: 5px;
        border-radius: 60px 60px 20px 20px;
        -webkit-transform: scaleX(2);
                transform: scaleX(2);
    }
    35% {
        height: 15px;
        border-radius: 50%;
        -webkit-transform: scaleX(1);
                transform: scaleX(1);
    }
    100% {
        top: 0;
    }
}

@keyframes bounce {
    0% {
        top: 30px;
        height: 5px;
        border-radius: 60px 60px 20px 20px;
        -webkit-transform: scaleX(2);
                transform: scaleX(2);
    }
    35% {
        height: 15px;
        border-radius: 50%;
        -webkit-transform: scaleX(1);
                transform: scaleX(1);
    }
    100% {
        top: 0;
    }
}